### Method

# Foundry DiagnosticManager diagnose_file

#### Declaration [src]

    DexFuture*
    foundry_diagnostic_manager_diagnose_file (
      FoundryDiagnosticManager* self,
      GFile* file
    )

#### Description

No description available.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` which may be awaited on for final completion of all diagnostics using `foundry_list_model_await()`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.